ames = read.csv("ames.csv", stringsAsFactors = F)
# drop variables with missing obs
ames = ames[sapply(ames, function(x) !any(is.na(x)))] # selects variables with complete obs 
sapply(ames, function(x) sum(is.na(x)))
##
str(ames) 
###########################################################
Ntot = nrow(ames)
set.seed(28021999); # set seed here by inserting your matricola (here 28021999)
N = 1000;
s = sample(1:Ntot, N);
ames.train = ames[s,];
# training sample of size N
ames.test = ames[-s,];
# test sample of size Ntot-N
summary(ames.train);
attach(ames.train)
 
  